import request from '@/utils/request'

// 查询仓库主(出入库)列表
export function listWarehousebills(query) {
  return request({
    url: '/warehouseBusiness/outStock/list',
    method: 'get',
    params: query
  })
}

// 查询仓库主(出入库)详细
export function getWarehousebills(fId) {
  return request({
    url: '/warehouseBusiness/outStock/' + fId,
    method: 'get'
  })
}
// 入库详情信息入账
export function addWhgenleg(data) {
  return request({
    url: '/warehouseBusiness/outStock/addCredit',
    method: 'post',
    data: data
  })
}

// 请核
export function warehouseSubmission(data) {
  return request({
    url: '/warehouseBusiness/outStock/warehouseSubmission',
    method: 'post',
    data: data
  })
}

// 卸货接口
export function disChargelist(data) {
  return request({
    url: '/warehouseBusiness/outStock/ischargeCargo',
    method: 'post',
    data: data
  })
}

// 打印作业单
export function addJoblist(data) {
  return request({
    url: '/warehouseBusiness/outStock/waitWarehousing',
    method: 'post',
    data: data
  })
}

// 撤销出库
export function updateCredit(data) {
  return request({
    url: '/warehouseBusiness/outStock/updateCredit',
    method: 'post',
    data: data
  })
}

// 新增仓库主(出入库)
export function addWarehousebills(data) {
  return request({
    url: '/warehouseBusiness/outStock/add',
    method: 'post',
    data: data
  })
}

// 修改仓库主(出入库)
export function updateWarehousebills(data) {
  return request({
    url: '/warehouseBusiness/outStock',
    method: 'put',
    data: data
  })
}

// 删除仓库主(出入库)
export function delWarehousebills(fId) {
  return request({
    url: '/warehouseBusiness/outStock/' + fId,
    method: 'delete'
  })
}

// 导出仓库主(出入库)
export function exportWarehousebills(query) {
  return request({
    url: '/warehouseBusiness/outStock/export',
    method: 'get',
    params: query
  })
}
// 状态为6撤销(请核)
export function revoke(fId) {
  return request({
    url: '/warehouseBusiness/outStock/withdrawById/' + fId,
    method: 'get',
  })
}
// 状态为4撤销(请核)
export function revokeTwo(data) {
  return request({
    url: '/warehouse/paths/revoke',
    method: 'post',
    data: data
  })
}
